// GetIPDlg.h : header file
//

#if !defined(AFX_GETIPDLG_H__33736946_4369_11D3_ABB6_0060B03C212C__INCLUDED_)
#define AFX_GETIPDLG_H__33736946_4369_11D3_ABB6_0060B03C212C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define STRINGMEMBERS 8
#define INTMEMBERS 7
#define MAX_LINE 8192
#define MAX_VAR 16
#include <afxtempl.h>
#include <afxinet.h>

// Registry information classes

class CRegString
{
public:
	CString Key;
	CString *Value;
	CString Default;
};

class CRegInt
{
public:
	CString Key;
	int *Value;
	int Default;
};

/////////////////////////////////////////////////////////////////////////////
// CGetIPDlg dialog

class CGetIPDlg : public CDialog
{
// Construction
public:
	void DoSend();
	BOOL m_HideOnce;
	void RemoveTrayIcon();
	void OnTrayNotify(HWND Wind, LPARAM lParam, WPARAM wParam);
	void ContextHelp(CString Title,int HelpID);
	CString FilterAddress();
	int SendFileViaWindowsNetwork();
	int SendFileViaHTTP();
	int SendFileViaFTP();
	int SendFileViaTransport();
	void ErrorLog(CString errmsg);
	int CreateIPAddressFile();
	BOOL m_Posting;
	void ResetTimer();
	void MyUpdateData(BOOL Init);
	void DecryptPassword();
	void EncryptPassword();
	void RegArrayInit();
	void LoadRegistry();
	void OnCancel();
	CString m_Login_LoginScript;
	CString m_Login_Password;
	CString m_Login_UserID;
	int m_Protocol;
	int m_TimeUnits;
	CGetIPDlg(CWnd* pParent = NULL);	// standard constructor
	CArray<CRegString, CRegString> regStr;
	CArray<CRegInt, CRegInt> regInt;
	CArray<CString, CString> m_addresses;
	CString m_AddressString;
	CString m_FormatFilePath;


// Dialog Data
	//{{AFX_DATA(CGetIPDlg)
	enum { IDD = IDD_GETIP_DIALOG };
	CEdit	m_MaxMsgCtrl;
	CListBox	m_MessagesCtrl;
	CComboBox	m_TimeUnitsCtrl;
	CComboBox	m_ProtocolCtrl;
	CEdit	m_IgnoreMasksCtrl;
	CEdit	m_FrequencyCtrl;
	CEdit	m_FormatTemplateCtrl;
	CEdit	m_DestinationCtrl;
	CString	m_Destination;
	CString	m_FormatTemplate;
	CString	m_Frequency;
	CString	m_IgnoreMasks;
	BOOL	m_HideOnStartup;
	BOOL	m_Mask10;
	BOOL	m_Mask172;
	BOOL	m_Mask192;
	CString	m_MaxMsg;
	BOOL	m_SendOnStartup;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGetIPDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CGetIPDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBrowse();
	afx_msg void OnHideNow();
	afx_msg void OnConfigureLogin();
	afx_msg void OnMyHelp();
	afx_msg void OnSave();
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnClose();
	afx_msg void OnExit();
	afx_msg void OnSaveAll();
	afx_msg void OnChangeFrequency();
	afx_msg void OnSelchangeTimeunits();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSendNow();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnClear();
	afx_msg void OnDblclkMessages();
	afx_msg void OnSaveLog();
	afx_msg void OnChangeMaxmsg();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GETIPDLG_H__33736946_4369_11D3_ABB6_0060B03C212C__INCLUDED_)
