// LoginInfoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "GetIP.h"
#include "LoginInfoDlg.h"
#include "ContextHelpDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLoginInfoDlg dialog


CLoginInfoDlg::CLoginInfoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLoginInfoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLoginInfoDlg)
	m_LoginScript = _T("");
	m_Password = _T("");
	m_UserID = _T("");
	//}}AFX_DATA_INIT
}


void CLoginInfoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLoginInfoDlg)
	DDX_Control(pDX, IDC_USERID, m_UserIDCtrl);
	DDX_Control(pDX, IDC_PASSWORD, m_PasswordCtrl);
	DDX_Control(pDX, IDC_LOGINSCRIPT, m_LoginScriptCtrl);
	DDX_Text(pDX, IDC_LOGINSCRIPT, m_LoginScript);
	DDX_Text(pDX, IDC_PASSWORD, m_Password);
	DDX_Text(pDX, IDC_USERID, m_UserID);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CLoginInfoDlg, CDialog)
	//{{AFX_MSG_MAP(CLoginInfoDlg)
	ON_BN_CLICKED(IDC_LSBROWSE, OnLSBrowse)
	ON_WM_HELPINFO()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLoginInfoDlg message handlers

void CLoginInfoDlg::OnLSBrowse() 
{
	UpdateData(TRUE);  // Don't lose the current variables
	CFileDialog StdFileDialog(TRUE,NULL,NULL);
	StdFileDialog.DoModal();
	m_LoginScript = StdFileDialog.GetPathName();
	UpdateData(FALSE);
}

BOOL CLoginInfoDlg::OnHelpInfo(HELPINFO* pHelpInfo) 
{
	if (pHelpInfo->iContextType == HELPINFO_WINDOW)
	{
		switch(pHelpInfo->iCtrlId)
		{
			case IDC_USERID:         ContextHelp("User ID",IDS_HELP_USERID); break;
			case IDC_PASSWORD:       ContextHelp("Password",IDS_HELP_PASSWORD); break;
			case IDC_LOGINSCRIPT:    ContextHelp("Login Script",IDS_HELP_LOGINSCRIPT); break;
			case IDC_LSBROWSE:       ContextHelp("Browse for Login Script Button",IDS_HELP_LSBROWSE); break;
			case IDOK:               ContextHelp("Exit Login Configuration",IDS_HELP_EXITCONFIG); break;
			case IDCANCEL:           ContextHelp("Exit Login Configuration",IDS_HELP_CANCELCONFIG); break;
			default:                 ContextHelp("No Help Associated",IDS_HELP_NOHELP);
		}
		return FALSE;
	} else return CDialog::OnHelpInfo(pHelpInfo);
}

void CLoginInfoDlg::ContextHelp(CString Title, int HelpID)
{
	CContextHelpDlg helpDlg;
	CString HelpText;

	HelpText.LoadString(HelpID);
	helpDlg.HelpTitle(Title);
	helpDlg.HelpText(HelpText);
	helpDlg.DoModal();
}
